"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BinarySwitchCCBehaviors = void 0;
const BinarySwitchCC_1 = require("@zwave-js/cc/BinarySwitchCC");
const core_1 = require("@zwave-js/core");
const STATE_KEY_PREFIX = "BinarySwitch_";
const StateKeys = {
    currentValue: `${STATE_KEY_PREFIX}currentValue`,
};
const respondToBinarySwitchGet = {
    handleCC(controller, self, receivedCC) {
        if (receivedCC instanceof BinarySwitchCC_1.BinarySwitchCCGet) {
            const cc = new BinarySwitchCC_1.BinarySwitchCCReport(self.host, {
                nodeId: controller.host.ownNodeId,
                currentValue: (self.state.get(StateKeys.currentValue)
                    ?? core_1.UNKNOWN_STATE),
            });
            return { action: "sendCC", cc };
        }
    },
};
const respondToBinarySwitchSet = {
    handleCC(controller, self, receivedCC) {
        if (receivedCC instanceof BinarySwitchCC_1.BinarySwitchCCSet) {
            self.state.set(StateKeys.currentValue, receivedCC.targetValue);
            return { action: "ok" };
        }
    },
};
exports.BinarySwitchCCBehaviors = [
    respondToBinarySwitchGet,
    respondToBinarySwitchSet,
];
//# sourceMappingURL=BinarySwitch.js.map