"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManufacturerSpecificCCBehaviors = void 0;
const ManufacturerSpecificCC_1 = require("@zwave-js/cc/ManufacturerSpecificCC");
const respondToManufacturerSpecificGet = {
    handleCC(controller, self, receivedCC) {
        if (receivedCC instanceof ManufacturerSpecificCC_1.ManufacturerSpecificCCGet) {
            const cc = new ManufacturerSpecificCC_1.ManufacturerSpecificCCReport(self.host, {
                nodeId: self.id,
                manufacturerId: self.capabilities.manufacturerId,
                productType: self.capabilities.productType,
                productId: self.capabilities.productId,
            });
            return { action: "sendCC", cc };
        }
    },
};
exports.ManufacturerSpecificCCBehaviors = [
    respondToManufacturerSpecificGet,
];
//# sourceMappingURL=ManufacturerSpecific.js.map