"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowCoveringCCBehaviors = void 0;
const WindowCoveringCC_1 = require("@zwave-js/cc/WindowCoveringCC");
const safe_1 = require("@zwave-js/core/safe");
const defaultCapabilities = {
    supportedParameters: [],
};
const respondToWindowCoveringSupportedGet = {
    handleCC(controller, self, receivedCC) {
        if (receivedCC instanceof WindowCoveringCC_1.WindowCoveringCCSupportedGet) {
            const capabilities = {
                ...defaultCapabilities,
                ...self.getCCCapabilities(safe_1.CommandClasses["Window Covering"], receivedCC.endpointIndex),
            };
            const cc = new WindowCoveringCC_1.WindowCoveringCCSupportedReport(self.host, {
                nodeId: controller.host.ownNodeId,
                supportedParameters: capabilities.supportedParameters,
            });
            return { action: "sendCC", cc };
        }
    },
};
exports.WindowCoveringCCBehaviors = [respondToWindowCoveringSupportedGet];
//# sourceMappingURL=WindowCovering.js.map