"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ccCaps = ccCaps;
exports.getDefaultMockNodeCapabilities = getDefaultMockNodeCapabilities;
exports.getDefaultMockEndpointCapabilities = getDefaultMockEndpointCapabilities;
const core_1 = require("@zwave-js/core");
/** Helper function to infer the correct properties for mock CC capabilities */
function ccCaps(caps) {
    return caps;
}
function getDefaultMockNodeCapabilities() {
    return {
        firmwareVersion: "1.0",
        manufacturerId: 0xffff,
        productType: 0xffff,
        productId: 0xfffe,
        isListening: true,
        isFrequentListening: false,
        isRouting: true,
        supportedDataRates: [9600, 40000, 100000],
        protocolVersion: 3,
        optionalFunctionality: true,
        nodeType: core_1.NodeType["End Node"],
        supportsSecurity: false,
        supportsBeaming: true,
        basicDeviceClass: core_1.BasicDeviceClass["Routing End Node"],
        genericDeviceClass: 0x06, // Appliance
        specificDeviceClass: 0x01, // General Appliance
        txDelay: 10,
    };
}
function getDefaultMockEndpointCapabilities(nodeCaps) {
    return {
        genericDeviceClass: nodeCaps.genericDeviceClass,
        specificDeviceClass: nodeCaps.specificDeviceClass,
    };
}
//# sourceMappingURL=MockNodeCapabilities.js.map